Package org.eclipse.emf.cdo.server.ocl

# Interface OCLExtentCreator

All Known Implementing Classes:
  `CDOExtentCreator`, `CDOExtentCreator.Lazy`

public interface OCLExtentCreator
Creates extents of `classes`.

The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Set<EObject>`
`createExtent(EClass cls, AtomicBoolean canceled)`

## Method Details

### createExtent

Set<EObject> createExtent(EClass cls, AtomicBoolean canceled)